/* config.h.in.  Generated from configure.ac by autoheader.  */

/* Define if building universal (internal helper macro) */
#undef AC_APPLE_UNIVERSAL_BUILD

/* Whether Android NDK unified headers are used */
#undef ANDROID_UNIFIED_HEADERS

/* bind with unsigned addrlen */
#undef BIND_ADDRLEN_UNSIGNED

/* GC description */
#undef DEFAULT_GC_NAME

/* String of disabled features */
#undef DISABLED_FEATURES

/* Disable AOT Compiler */
#undef DISABLE_AOT

/* Disable support for multiple appdomains. */
#undef DISABLE_APPDOMAINS

/* Disable agent attach support */
#undef DISABLE_ATTACH

/* Disable COM support */
#undef DISABLE_COM

/* Disable runtime debugging support */
#undef DISABLE_DEBUG

/* Disable Soft Debugger Agent. */
#undef DISABLE_DEBUGGER_AGENT

/* Disable System.Decimal support */
#undef DISABLE_DECIMAL

/* Disable desktop assembly loader semantics. */
#undef DISABLE_DESKTOP_LOADER

/* Disable generics support */
#undef DISABLE_GENERICS

/* ... */
#undef DISABLE_HW_TRAPS

/* Icall tables disabled */
#undef DISABLE_ICALL_TABLES

/* Disable the interpreter. */
#undef DISABLE_INTERPRETER

/* Disable the JIT, only full-aot mode or interpreter will be supported by the
   runtime. */
#undef DISABLE_JIT

/* Disable support for huge assemblies */
#undef DISABLE_LARGE_CODE

/* Disable support code for the LLDB plugin. */
#undef DISABLE_LLDB

/* Disable support debug logging */
#undef DISABLE_LOGGING

/* Disable support for .mdb symbol files. */
#undef DISABLE_MDB

/* Disable String normalization support. */
#undef DISABLE_NORMALIZATION

/* Disable Performance Counters. */
#undef DISABLE_PERFCOUNTERS

/* Disable P/Invoke support */
#undef DISABLE_PINVOKE

/* Disables the IO portability layer */
#undef DISABLE_PORTABILITY

/* Disable default profiler support */
#undef DISABLE_PROFILER

/* Disable reflection emit support */
#undef DISABLE_REFLECTION_EMIT

/* Disable assembly saving support in reflection emit */
#undef DISABLE_REFLECTION_EMIT_SAVE

/* Disable remoting support (This disables type proxies and make com
   non-functional) */
#undef DISABLE_REMOTING

/* Disable CAS/CoreCLR security */
#undef DISABLE_SECURITY

/* Disable debug helpers in SGEN. */
#undef DISABLE_SGEN_DEBUG_HELPERS

/* Disable gc bridge support in SGEN. */
#undef DISABLE_SGEN_GC_BRIDGE

/* Disable concurrent gc support in SGEN. */
#undef DISABLE_SGEN_MAJOR_MARKSWEEP_CONC

/* Disable minor=split support in SGEN. */
#undef DISABLE_SGEN_SPLIT_NURSERY

/* Disable Shadow Copy for AppDomains */
#undef DISABLE_SHADOW_COPY

/* Disable shared perfcounters. */
#undef DISABLE_SHARED_PERFCOUNTERS

/* Disable SIMD intrinsics related optimizations. */
#undef DISABLE_SIMD

/* Disable advanced SSA JIT optimizations */
#undef DISABLE_SSA

/* Do not create structured crash files during unmanaged crashes */
#undef DISABLE_STRUCTURED_CRASH

/* Disables the verifier */
#undef DISABLE_VERIFIER

/* Enable checked build */
#undef ENABLE_CHECKED_BUILD

/* Enable GC checked build */
#undef ENABLE_CHECKED_BUILD_GC

/* Enable metadata checked build */
#undef ENABLE_CHECKED_BUILD_METADATA

/* Enable private types checked build */
#undef ENABLE_CHECKED_BUILD_PRIVATE_TYPES

/* Enable thread checked build */
#undef ENABLE_CHECKED_BUILD_THREAD

/* Enable cooperative stop-the-world garbage collection. */
#undef ENABLE_COOP_SUSPEND

/* Enable DTrace probes */
#undef ENABLE_DTRACE

/* Extension module enabled */
#undef ENABLE_EXTENSION_MODULE

/* Enable hybrid suspend for GC stop-the-world */
#undef ENABLE_HYBRID_SUSPEND

/* Icall export enabled */
#undef ENABLE_ICALL_EXPORT

/* Icall symbol map enabled */
#undef ENABLE_ICALL_SYMBOL_MAP

/* Some VES is available at runtime */
#undef ENABLE_ILGEN

/* Enable the LLVM back end */
#undef ENABLE_LLVM

/* Runtime support code for llvm enabled */
#undef ENABLE_LLVM_RUNTIME

/* Enable runtime support for Monodroid (Xamarin.Android) */
#undef ENABLE_MONODROID

/* Enable runtime support for Monotouch (Xamarin.iOS and Xamarin.Mac) */
#undef ENABLE_MONOTOUCH

/* Overridable allocator support enabled */
#undef ENABLE_OVERRIDABLE_ALLOCATORS

/* Have GLIBC_BEFORE_2_3_4_SCHED_SETAFFINITY */
#undef GLIBC_BEFORE_2_3_4_SCHED_SETAFFINITY

/* GLIBC has CPU_COUNT macro in sched.h */
#undef GLIBC_HAS_CPU_COUNT

/* accept4 */
#undef HAVE_ACCEPT4

/* Have access */
#undef HAVE_ACCESS

/* Has the 'aintl' function */
#undef HAVE_AINTL

/* Define to 1 if you have the <alloca.h> header file. */
#undef HAVE_ALLOCA_H

/* Define to 1 if you have the <android/api-level.h> header file. */
#undef HAVE_ANDROID_API_LEVEL_H

/* Define to 1 if you have the <android/legacy_signal_inlines.h> header file.
   */
#undef HAVE_ANDROID_LEGACY_SIGNAL_INLINES_H

/* Define to 1 if you have the <android/ndk-version.h> header file. */
#undef HAVE_ANDROID_NDK_VERSION_H

/* Define to 1 if you have the <android/versioning.h> header file. */
#undef HAVE_ANDROID_VERSIONING_H

/* arc4random */
#undef HAVE_ARC4RANDOM

/* ARM v5 */
#undef HAVE_ARMV5

/* ARM v6 */
#undef HAVE_ARMV6

/* ARM v7 */
#undef HAVE_ARMV7

/* Define to 1 if you have the <arpa/inet.h> header file. */
#undef HAVE_ARPA_INET_H

/* Supports C99 array initialization */
#undef HAVE_ARRAY_ELEM_INIT

/* Define to 1 if you have the <asm/sigcontext.h> header file. */
#undef HAVE_ASM_SIGCONTEXT_H

/* Define to 1 if you have the <attr/xattr.h> header file. */
#undef HAVE_ATTR_XATTR_H

/* Define to 1 if you have the `backtrace_symbols' function. */
#undef HAVE_BACKTRACE_SYMBOLS

/* Define to 1 if the system has the type `blkcnt_t'. */
#undef HAVE_BLKCNT_T

/* Define to 1 if the system has the type `blksize_t'. */
#undef HAVE_BLKSIZE_T

/* BoringTls is supported */
#undef HAVE_BTLS

/* Define to 1 if you have the <checklist.h> header file. */
#undef HAVE_CHECKLIST_H

/* Use classic Windows API support */
#undef HAVE_CLASSIC_WINAPI_SUPPORT

/* CLOCK_MONOTONIC */
#undef HAVE_CLOCK_MONOTONIC

/* CLOCK_MONOTONIC_COARSE */
#undef HAVE_CLOCK_MONOTONIC_COARSE

/* Define to 1 if you have the `clock_nanosleep' function. */
#undef HAVE_CLOCK_NANOSLEEP

/* CLOCK_REALTIME */
#undef HAVE_CLOCK_REALTIME

/* Define to 1 if you have the <CommonCrypto/CommonDigest.h> header file. */
#undef HAVE_COMMONCRYPTO_COMMONDIGEST_H

/* Define to 1 if you have the <complex.h> header file. */
#undef HAVE_COMPLEX_H

/* Defaults to concurrent GC */
#undef HAVE_CONC_GC_AS_DEFAULT

/* Define to 1 if you have the `confstr' function. */
#undef HAVE_CONFSTR

/* Define to 1 if you have the <copyfile.h> header file. */
#undef HAVE_COPYFILE_H

/* Define to 1 if you have the <crt_externs.h> header file. */
#undef HAVE_CRT_EXTERNS_H

/* Have /dev/random */
#undef HAVE_CRYPT_RNG

/* Define to 1 if you have the <curses.h> header file. */
#undef HAVE_CURSES_H

/* Define to 1 if you have the declaration of `InterlockedAdd', and to 0 if
   you don't. */
#undef HAVE_DECL_INTERLOCKEDADD

/* Define to 1 if you have the declaration of `InterlockedAdd64', and to 0 if
   you don't. */
#undef HAVE_DECL_INTERLOCKEDADD64

/* Define to 1 if you have the declaration of `InterlockedCompareExchange64',
   and to 0 if you don't. */
#undef HAVE_DECL_INTERLOCKEDCOMPAREEXCHANGE64

/* Define to 1 if you have the declaration of `InterlockedDecrement64', and to
   0 if you don't. */
#undef HAVE_DECL_INTERLOCKEDDECREMENT64

/* Define to 1 if you have the declaration of `InterlockedExchange64', and to
   0 if you don't. */
#undef HAVE_DECL_INTERLOCKEDEXCHANGE64

/* Define to 1 if you have the declaration of `InterlockedIncrement64', and to
   0 if you don't. */
#undef HAVE_DECL_INTERLOCKEDINCREMENT64

/* Define to 1 if you have the declaration of `strerror_r', and to 0 if you
   don't. */
#undef HAVE_DECL_STRERROR_R

/* Define to 1 if you have the declaration of `__readfsdword', and to 0 if you
   don't. */
#undef HAVE_DECL___READFSDWORD

/* Support for the deprecated attribute */
#undef HAVE_DEPRECATED

/* Define to 1 if you have the <dirent.h> header file. */
#undef HAVE_DIRENT_H

/* struct dirent.d_namlen */
#undef HAVE_DIRENT_NAME_LEN

/* Define to 1 if you have the `dladdr' function. */
#undef HAVE_DLADDR

/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H

/* Define to 1 if you have the `dl_iterate_phdr' function. */
#undef HAVE_DL_ITERATE_PHDR

/* dlopen-based dynamic loader available */
#undef HAVE_DL_LOADER

/* ECHO */
#undef HAVE_ECHO

/* Define to 1 if you have the <elf.h> header file. */
#undef HAVE_ELF_H

/* Define to 1 if you have the `endgrent' function. */
#undef HAVE_ENDGRENT

/* Define to 1 if you have the `endpwent' function. */
#undef HAVE_ENDPWENT

/* Define to 1 if you have the `endusershell' function. */
#undef HAVE_ENDUSERSHELL

/* epoll_create1 */
#undef HAVE_EPOLL

/* Define to 1 if you have the `epoll_ctl' function. */
#undef HAVE_EPOLL_CTL

/* Define to 1 if you have the <execinfo.h> header file. */
#undef HAVE_EXECINFO_H

/* Define to 1 if you have the `execv' function. */
#undef HAVE_EXECV

/* Define to 1 if you have the `execve' function. */
#undef HAVE_EXECVE

/* Define to 1 if you have the `execvp' function. */
#undef HAVE_EXECVP

/* fcopyfile */
#undef HAVE_FCOPYFILE

/* struct fd_set.fds_bits */
#undef HAVE_FDS_BITS

/* Define to 1 if you have the `fgetgrent' function. */
#undef HAVE_FGETGRENT

/* Define to 1 if you have the `fgetpwent' function. */
#undef HAVE_FGETPWENT

/* Define to 1 if you have the `finite' function. */
#undef HAVE_FINITE

/* struct flock64 */
#undef HAVE_FLOCK64

/* Define to 1 if you have the `fork' function. */
#undef HAVE_FORK

/* Define to 1 if you have the <fstab.h> header file. */
#undef HAVE_FSTAB_H

/* Define to 1 if you have the `fstatat' function. */
#undef HAVE_FSTATAT

/* Define to 1 if you have the `fstatfs' function. */
#undef HAVE_FSTATFS

/* Define to 1 if you have the `fstatvfs' function. */
#undef HAVE_FSTATVFS

/* ftruncate64 */
#undef HAVE_FTRUNCATE64

/* Define to 1 if you have the `futimens' function. */
#undef HAVE_FUTIMENS

/* Define to 1 if you have the `futimes' function. */
#undef HAVE_FUTIMES

/* F_DUPFD_CLOEXEC */
#undef HAVE_F_DUPFD_CLOEXEC

/* Have getaddrinfo */
#undef HAVE_GETADDRINFO

/* getdomainname */
#undef HAVE_GETDOMAINNAME

/* getdomainname with size_t namelen */
#undef HAVE_GETDOMAINNAME_SIZET

/* Define to 1 if you have the `getentropy' function. */
#undef HAVE_GETENTROPY

/* Define to 1 if you have the `getfsstat' function. */
#undef HAVE_GETFSSTAT

/* Define to 1 if you have the `getgrent' function. */
#undef HAVE_GETGRENT

/* Define to 1 if you have the `getgrgid_r' function. */
#undef HAVE_GETGRGID_R

/* Define to 1 if you have the `getgrnam_r' function. */
#undef HAVE_GETGRNAM_R

/* Have gethostbyname */
#undef HAVE_GETHOSTBYNAME

/* Have gethostbyname2 */
#undef HAVE_GETHOSTBYNAME2

/* Have gethostbyname2_r */
#undef HAVE_GETHOSTBYNAME2_R

/* Define to 1 if you have the `gethostid' function. */
#undef HAVE_GETHOSTID

/* gethrtime */
#undef HAVE_GETHRTIME

/* Have getifaddrs */
#undef HAVE_GETIFADDRS

/* Define to 1 if you have the `getlogin_r' function. */
#undef HAVE_GETLOGIN_R

/* getmntinfo */
#undef HAVE_GETMNTINFO

/* Have getnameinfo */
#undef HAVE_GETNAMEINFO

/* getnameinfo with signed flags */
#undef HAVE_GETNAMEINFO_SIGNED_FLAGS

/* Define to 1 if you have the <getopt.h> header file. */
#undef HAVE_GETOPT_H

/* getpeereid */
#undef HAVE_GETPEEREID

/* Define to 1 if you have the `getpriority' function. */
#undef HAVE_GETPRIORITY

/* Have getprotobyname */
#undef HAVE_GETPROTOBYNAME

/* Define to 1 if you have the `getpwent' function. */
#undef HAVE_GETPWENT

/* Define to 1 if you have the `getpwnam_r' function. */
#undef HAVE_GETPWNAM_R

/* Define to 1 if you have the `getpwuid_r' function. */
#undef HAVE_GETPWUID_R

/* Define to 1 if you have the `getrandom' function. */
#undef HAVE_GETRANDOM

/* Define to 1 if you have the `getresuid' function. */
#undef HAVE_GETRESUID

/* Define to 1 if you have the `getrlimit' function. */
#undef HAVE_GETRLIMIT

/* Define to 1 if you have the `getrusage' function. */
#undef HAVE_GETRUSAGE

/* char* strerror(int errnum, char *buf, size_t buflen) */
#undef HAVE_GNU_STRERROR_R

/* Define to 1 if you have the <grp.h> header file. */
#undef HAVE_GRP_H

/* ICANON */
#undef HAVE_ICANON

/* Define to 1 if you have the <iconv.h> header file. */
#undef HAVE_ICONV_H

/* Define to 1 if you have the <ieeefp.h> header file. */
#undef HAVE_IEEEFP_H

/* Have if_nametoindex */
#undef HAVE_IF_NAMETOINDEX

/* Define to 1 if you have the `inet_aton' function. */
#undef HAVE_INET_ATON

/* Have inet_ntop */
#undef HAVE_INET_NTOP

/* Have inet_pton */
#undef HAVE_INET_PTON

/* HAVE_INOTIFY */
#undef HAVE_INOTIFY

/* inotify_add_watch */
#undef HAVE_INOTIFY_ADD_WATCH

/* inotify_init */
#undef HAVE_INOTIFY_INIT

/* inotify_rm_watch */
#undef HAVE_INOTIFY_RM_WATCH

/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H

/* IN_EXCL_UNLINK */
#undef HAVE_IN_EXCL_UNLINK

/* struct in_pktinfo */
#undef HAVE_IN_PKTINFO

/* ioctl */
#undef HAVE_IOCTL

/* Have IPPROTO_IP */
#undef HAVE_IPPROTO_IP

/* Have IPPROTO_IPV6 */
#undef HAVE_IPPROTO_IPV6

/* Have IPPROTO_TCP */
#undef HAVE_IPPROTO_TCP

/* Have IPV6_PKTINFO */
#undef HAVE_IPV6_PKTINFO

/* Have IP_DONTFRAG */
#undef HAVE_IP_DONTFRAG

/* Have IP_DONTFRAGMENT */
#undef HAVE_IP_DONTFRAGMENT

/* struct ip_mreqn */
#undef HAVE_IP_MREQN

/* Have IP_MTU_DISCOVER */
#undef HAVE_IP_MTU_DISCOVER

/* Have IP_PKTINFO */
#undef HAVE_IP_PKTINFO

/* Have IP_PMTUDISC_DO */
#undef HAVE_IP_PMTUDISC_DO

/* Define to 1 if you have the `isfinite' function. */
#undef HAVE_ISFINITE

/* isinf available */
#undef HAVE_ISINF

/* Define to 1 if you have the `kill' function. */
#undef HAVE_KILL

/* kqueue */
#undef HAVE_KQUEUE

/* Have large file support */
#undef HAVE_LARGE_FILE_SUPPORT

/* Define to 1 if you have the `iconv' library (-liconv). */
#undef HAVE_LIBICONV

/* Define to 1 if you have the <libproc.h> header file. */
#undef HAVE_LIBPROC_H

/* Define to 1 if you have the <link.h> header file. */
#undef HAVE_LINK_H

/* linux/in.h */
#undef HAVE_LINUX_IN_H

/* Define to 1 if you have the <linux/magic.h> header file. */
#undef HAVE_LINUX_MAGIC_H

/* Define to 1 if you have the <linux/netlink.h> header file. */
#undef HAVE_LINUX_NETLINK_H

/* Define to 1 if you have the <linux/rtc.h> header file. */
#undef HAVE_LINUX_RTC_H

/* Define to 1 if you have the <linux/rtnetlink.h> header file. */
#undef HAVE_LINUX_RTNETLINK_H

/* Define to 1 if you have the <linux/serial.h> header file. */
#undef HAVE_LINUX_SERIAL_H

/* Define to 1 if you have the <localcharset.h> header file. */
#undef HAVE_LOCALCHARSET_H

/* Define to 1 if you have the `localtime_r' function. */
#undef HAVE_LOCALTIME_R

/* Define to 1 if you have the `lockf' function. */
#undef HAVE_LOCKF

/* lseek64 */
#undef HAVE_LSEEK64

/* Define to 1 if you have the `lutimes' function. */
#undef HAVE_LUTIMES

/* Define to 1 if you have the <machine/endian.h> header file. */
#undef HAVE_MACHINE_ENDIAN_H

/* mach_absolute_time */
#undef HAVE_MACH_ABSOLUTE_TIME

/* mach_timebase_info */
#undef HAVE_MACH_TIMEBASE_INFO

/* Define to 1 if you have the `madvise' function. */
#undef HAVE_MADVISE

/* Define to 1 if you have the <memory.h> header file. */
#undef HAVE_MEMORY_H

/* Have mincore */
#undef HAVE_MINCORE

/* Define to 1 if you have the `mkdtemp' function. */
#undef HAVE_MKDTEMP

/* Define to 1 if you have the `mknodat' function. */
#undef HAVE_MKNODAT

/* Define to 1 if you have the `mkstemp' function. */
#undef HAVE_MKSTEMP

/* mkstemps */
#undef HAVE_MKSTEMPS

/* Define to 1 if you have the `mmap' function. */
#undef HAVE_MMAP

/* mmap64 */
#undef HAVE_MMAP64

/* Moving collector */
#undef HAVE_MOVING_COLLECTOR

/* Define to 1 if you have the `mremap' function. */
#undef HAVE_MREMAP

/* Have MSG_NOSIGNAL */
#undef HAVE_MSG_NOSIGNAL

/* Define to 1 if you have the <netdb.h> header file. */
#undef HAVE_NETDB_H

/* Define to 1 if you have the <netinet/in.h> header file. */
#undef HAVE_NETINET_IN_H

/* Define to 1 if you have the <netinet/tcp.h> header file. */
#undef HAVE_NETINET_TCP_H

/* Define to 1 if you have the <net/if.h> header file. */
#undef HAVE_NET_IF_H

/* _NSGetEnviron */
#undef HAVE_NSGETENVIRON

/* No GC support. */
#undef HAVE_NULL_GC

/* O_CLOEXEC */
#undef HAVE_O_CLOEXEC

/* Define to 1 if you have the <pathconf.h> header file. */
#undef HAVE_PATHCONF_H

/* pipe2 */
#undef HAVE_PIPE2

/* Define to 1 if you have the `poll' function. */
#undef HAVE_POLL

/* Define to 1 if you have the <poll.h> header file. */
#undef HAVE_POLL_H

/* posix_fadvise */
#undef HAVE_POSIX_FADVISE

/* posix_fadvise64 */
#undef HAVE_POSIX_FADVISE64

/* Define to 1 if you have the `posix_fallocate' function. */
#undef HAVE_POSIX_FALLOCATE

/* Define to 1 if you have the `posix_madvise' function. */
#undef HAVE_POSIX_MADVISE

/* Define to 1 if you have the `prctl' function. */
#undef HAVE_PRCTL

/* Define to 1 if you have the `preadv' function. */
#undef HAVE_PREADV

/* struct fd_set.__fds_bits */
#undef HAVE_PRIVATE_FDS_BITS

/* Define to 1 if you have the `psignal' function. */
#undef HAVE_PSIGNAL

/* Define to 1 if you have the `pthread_attr_getstack' function. */
#undef HAVE_PTHREAD_ATTR_GETSTACK

/* Define to 1 if you have the `pthread_attr_getstacksize' function. */
#undef HAVE_PTHREAD_ATTR_GETSTACKSIZE

/* Define to 1 if you have the `pthread_attr_get_np' function. */
#undef HAVE_PTHREAD_ATTR_GET_NP

/* Define to 1 if you have the `pthread_attr_setstacksize' function. */
#undef HAVE_PTHREAD_ATTR_SETSTACKSIZE

/* Define to 1 if you have the `pthread_cond_timedwait_relative_np' function.
   */
#undef HAVE_PTHREAD_COND_TIMEDWAIT_RELATIVE_NP

/* Define to 1 if you have the `pthread_getattr_np' function. */
#undef HAVE_PTHREAD_GETATTR_NP

/* Define to 1 if you have the `pthread_getname_np' function. */
#undef HAVE_PTHREAD_GETNAME_NP

/* Define to 1 if you have the `pthread_get_stackaddr_np' function. */
#undef HAVE_PTHREAD_GET_STACKADDR_NP

/* Define to 1 if you have the `pthread_get_stacksize_np' function. */
#undef HAVE_PTHREAD_GET_STACKSIZE_NP

/* Define to 1 if you have the <pthread.h> header file. */
#undef HAVE_PTHREAD_H

/* Define to 1 if you have the `pthread_kill' function. */
#undef HAVE_PTHREAD_KILL

/* Define to 1 if you have the `pthread_mutex_timedlock' function. */
#undef HAVE_PTHREAD_MUTEX_TIMEDLOCK

/* Define to 1 if you have the <pthread_np.h> header file. */
#undef HAVE_PTHREAD_NP_H

/* Define to 1 if you have the `pthread_setname_np' function. */
#undef HAVE_PTHREAD_SETNAME_NP

/* Define to 1 if you have the <pwd.h> header file. */
#undef HAVE_PWD_H

/* Define to 1 if you have the `pwritev' function. */
#undef HAVE_PWRITEV

/* readdir_r */
#undef HAVE_READDIR_R

/* Define to 1 if you have the `readlinkat' function. */
#undef HAVE_READLINKAT

/* Define to 1 if you have the `readv' function. */
#undef HAVE_READV

/* read_real_time */
#undef HAVE_READ_REAL_TIME

/* Define to 1 if you have the `remap_file_pages' function. */
#undef HAVE_REMAP_FILE_PAGES

/* Define to 1 if you have the `rewinddir' function. */
#undef HAVE_REWINDDIR

/* struct rt_msghdr */
#undef HAVE_RT_MSGHDR

/* sched_getaffinity */
#undef HAVE_SCHED_GETAFFINITY

/* Define to 1 if you have the `sched_getcpu' function. */
#undef HAVE_SCHED_GETCPU

/* sched_setaffinity */
#undef HAVE_SCHED_SETAFFINITY

/* Define to 1 if you have the `seekdir' function. */
#undef HAVE_SEEKDIR

/* Define to 1 if you have the <semaphore.h> header file. */
#undef HAVE_SEMAPHORE_H

/* Define to 1 if you have the `sendfile' function. */
#undef HAVE_SENDFILE

/* sendfile with 4 arguments */
#undef HAVE_SENDFILE_4

/* sendfile with 6 arguments */
#undef HAVE_SENDFILE_6

/* Define to 1 if you have the `setdomainname' function. */
#undef HAVE_SETDOMAINNAME

/* Define to 1 if you have the `setgrent' function. */
#undef HAVE_SETGRENT

/* Define to 1 if you have the `setgroups' function. */
#undef HAVE_SETGROUPS

/* Define to 1 if you have the `sethostid' function. */
#undef HAVE_SETHOSTID

/* Define to 1 if you have the `sethostname' function. */
#undef HAVE_SETHOSTNAME

/* Define to 1 if you have the `setpgid' function. */
#undef HAVE_SETPGID

/* Define to 1 if you have the `setpriority' function. */
#undef HAVE_SETPRIORITY

/* Define to 1 if you have the `setpwent' function. */
#undef HAVE_SETPWENT

/* Define to 1 if you have the `setresuid' function. */
#undef HAVE_SETRESUID

/* Define to 1 if you have the `setusershell' function. */
#undef HAVE_SETUSERSHELL

/* Define to 1 if you have the `shm_open' function. */
#undef HAVE_SHM_OPEN

/* shm_open that works well enough with mmap */
#undef HAVE_SHM_OPEN_THAT_WORKS_WELL_ENOUGH_WITH_MMAP

/* Define to 1 if you have the `sigaction' function. */
#undef HAVE_SIGACTION

/* Define to 1 if you have the `signal' function. */
#undef HAVE_SIGNAL

/* Define to 1 if you have the <signal.h> header file. */
#undef HAVE_SIGNAL_H

/* Have signbit */
#undef HAVE_SIGNBIT

/* Can get interface list */
#undef HAVE_SIOCGIFCONF

/* sockaddr_in6 has sin6_len */
#undef HAVE_SOCKADDR_IN6_SIN_LEN

/* sockaddr_in has sin_len */
#undef HAVE_SOCKADDR_IN_SIN_LEN

/* Have socklen_t */
#undef HAVE_SOCKLEN_T

/* Have SOL_IP */
#undef HAVE_SOL_IP

/* Have SOL_IPV6 */
#undef HAVE_SOL_IPV6

/* Have SOL_TCP */
#undef HAVE_SOL_TCP

/* stat64 */
#undef HAVE_STAT64

/* struct statfs */
#undef HAVE_STATFS

/* struct statfs.f_fstypename */
#undef HAVE_STATFS_FSTYPENAME

/* Define to 1 if you have the `statvfs' function. */
#undef HAVE_STATVFS

/* struct statvfs.f_fstypename */
#undef HAVE_STATVFS_FSTYPENAME

/* struct stat.st_birthtime */
#undef HAVE_STAT_BIRTHTIME

/* struct stat.st_atimensec */
#undef HAVE_STAT_NSEC

/* struct stat.st_atim */
#undef HAVE_STAT_TIM

/* struct stat.st_atimespec */
#undef HAVE_STAT_TIMESPEC

/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#undef HAVE_STDLIB_H

/* Define to 1 if you have the `stime' function. */
#undef HAVE_STIME

/* Define to 1 if you have the `stpcpy' function. */
#undef HAVE_STPCPY

/* strcpy_s */
#undef HAVE_STRCPY_S

/* Define to 1 if you have the `strerror_r' function. */
#undef HAVE_STRERROR_R

/* Define to 1 if you have the <strings.h> header file. */
#undef HAVE_STRINGS_H

/* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H

/* Define to 1 if you have the `strlcpy' function. */
#undef HAVE_STRLCPY

/* Define to 1 if you have the `strndup' function. */
#undef HAVE_STRNDUP

/* Define to 1 if you have the `strtok_r' function. */
#undef HAVE_STRTOK_R

/* Define to 1 if the system has the type `struct cmsghdr'. */
#undef HAVE_STRUCT_CMSGHDR

/* Define to 1 if `d_off' is a member of `struct dirent'. */
#undef HAVE_STRUCT_DIRENT_D_OFF

/* Define to 1 if `d_reclen' is a member of `struct dirent'. */
#undef HAVE_STRUCT_DIRENT_D_RECLEN

/* Define to 1 if `d_type' is a member of `struct dirent'. */
#undef HAVE_STRUCT_DIRENT_D_TYPE

/* Define to 1 if the system has the type `struct flock'. */
#undef HAVE_STRUCT_FLOCK

/* Define to 1 if the system has the type `struct iovec'. */
#undef HAVE_STRUCT_IOVEC

/* Have struct ip_mreq */
#undef HAVE_STRUCT_IP_MREQ

/* Have struct ip_mreqn */
#undef HAVE_STRUCT_IP_MREQN

/* Define to 1 if `kp_proc' is a member of `struct kinfo_proc'. */
#undef HAVE_STRUCT_KINFO_PROC_KP_PROC

/* Define to 1 if the system has the type `struct linger'. */
#undef HAVE_STRUCT_LINGER

/* Define to 1 if `pw_gecos' is a member of `struct passwd'. */
#undef HAVE_STRUCT_PASSWD_PW_GECOS

/* Define to 1 if the system has the type `struct pollfd'. */
#undef HAVE_STRUCT_POLLFD

/* Define to 1 if the system has the type `struct sockaddr'. */
#undef HAVE_STRUCT_SOCKADDR

/* Define to 1 if the system has the type `struct sockaddr_in'. */
#undef HAVE_STRUCT_SOCKADDR_IN

/* Define to 1 if the system has the type `struct sockaddr_in6'. */
#undef HAVE_STRUCT_SOCKADDR_IN6

/* Define to 1 if the system has the type `struct sockaddr_storage'. */
#undef HAVE_STRUCT_SOCKADDR_STORAGE

/* Define to 1 if the system has the type `struct sockaddr_un'. */
#undef HAVE_STRUCT_SOCKADDR_UN

/* Define to 1 if the system has the type `struct stat'. */
#undef HAVE_STRUCT_STAT

/* Define to 1 if `f_flags' is a member of `struct statfs'. */
#undef HAVE_STRUCT_STATFS_F_FLAGS

/* Define to 1 if `st_atim' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_ATIM

/* Define to 1 if `st_atimespec' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_ATIMESPEC

/* Define to 1 if `st_ctim' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_CTIM

/* Define to 1 if `st_mtim' is a member of `struct stat'. */
#undef HAVE_STRUCT_STAT_ST_MTIM

/* Define to 1 if the system has the type `struct timespec'. */
#undef HAVE_STRUCT_TIMESPEC

/* Define to 1 if the system has the type `struct timeval'. */
#undef HAVE_STRUCT_TIMEVAL

/* Define to 1 if the system has the type `struct timezone'. */
#undef HAVE_STRUCT_TIMEZONE

/* Define to 1 if the system has the type `struct utimbuf'. */
#undef HAVE_STRUCT_UTIMBUF

/* HAVE_SUPPORT_FOR_DUAL_MODE_IPV4_PACKET_INFO */
#undef HAVE_SUPPORT_FOR_DUAL_MODE_IPV4_PACKET_INFO

/* Define to 1 if the system has the type `suseconds_t'. */
#undef HAVE_SUSECONDS_T

/* Define to 1 if you have the `swab' function. */
#undef HAVE_SWAB

/* Define to 1 if you have the `sysconf' function. */
#undef HAVE_SYSCONF

/* Define to 1 if you have the <syslog.h> header file. */
#undef HAVE_SYSLOG_H

/* Define to 1 if you have the `system' function. */
#undef HAVE_SYSTEM

/* Define to 1 if you have the <sys/auxv.h> header file. */
#undef HAVE_SYS_AUXV_H

/* Define to 1 if you have the <sys/cdefs.h> header file. */
#undef HAVE_SYS_CDEFS_H

/* Define to 1 if you have the <sys/endian.h> header file. */
#undef HAVE_SYS_ENDIAN_H

/* Define to 1 if you have the <sys/epoll.h> header file. */
#undef HAVE_SYS_EPOLL_H

/* Define to 1 if you have the <sys/errno.h> header file. */
#undef HAVE_SYS_ERRNO_H

/* Define to 1 if you have the <sys/event.h> header file. */
#undef HAVE_SYS_EVENT_H

/* Define to 1 if you have the <sys/extattr.h> header file. */
#undef HAVE_SYS_EXTATTR_H

/* Define to 1 if you have the <sys/filio.h> header file. */
#undef HAVE_SYS_FILIO_H

/* Define to 1 if you have the <sys/inotify.h> header file. */
#undef HAVE_SYS_INOTIFY_H

/* Define to 1 if you have the <sys/ioctl.h> header file. */
#undef HAVE_SYS_IOCTL_H

/* Define to 1 if you have the <sys/ipc.h> header file. */
#undef HAVE_SYS_IPC_H

/* Define to 1 if you have the <sys/mkdev.h> header file. */
#undef HAVE_SYS_MKDEV_H

/* Define to 1 if you have the <sys/mman.h> header file. */
#undef HAVE_SYS_MMAN_H

/* Define to 1 if you have the <sys/mount.h> header file. */
#undef HAVE_SYS_MOUNT_H

/* Define to 1 if you have the <sys/param.h> header file. */
#undef HAVE_SYS_PARAM_H

/* Define to 1 if you have the <sys/poll.h> header file. */
#undef HAVE_SYS_POLL_H

/* Define to 1 if you have the <sys/prctl.h> header file. */
#undef HAVE_SYS_PRCTL_H

/* Define to 1 if you have the <sys/random.h> header file. */
#undef HAVE_SYS_RANDOM_H

/* Define to 1 if you have the <sys/resource.h> header file. */
#undef HAVE_SYS_RESOURCE_H

/* Define to 1 if you have the <sys/sdt.h> header file. */
#undef HAVE_SYS_SDT_H

/* Define to 1 if you have the <sys/select.h> header file. */
#undef HAVE_SYS_SELECT_H

/* Define to 1 if you have the <sys/sendfile.h> header file. */
#undef HAVE_SYS_SENDFILE_H

/* Define to 1 if you have the <sys/socket.h> header file. */
#undef HAVE_SYS_SOCKET_H

/* Define to 1 if you have the <sys/sockio.h> header file. */
#undef HAVE_SYS_SOCKIO_H

/* Define to 1 if you have the <sys/statfs.h> header file. */
#undef HAVE_SYS_STATFS_H

/* Define to 1 if you have the <sys/statvfs.h> header file. */
#undef HAVE_SYS_STATVFS_H

/* Define to 1 if you have the <sys/stat.h> header file. */
#undef HAVE_SYS_STAT_H

/* Define to 1 if you have the <sys/syscall.h> header file. */
#undef HAVE_SYS_SYSCALL_H

/* Define to 1 if you have the <sys/sysctl.h> header file. */
#undef HAVE_SYS_SYSCTL_H

/* Define to 1 if you have the <sys/time.h> header file. */
#undef HAVE_SYS_TIME_H

/* Define to 1 if you have the <sys/types.h> header file. */
#undef HAVE_SYS_TYPES_H

/* Define to 1 if you have the <sys/uio.h> header file. */
#undef HAVE_SYS_UIO_H

/* Define to 1 if you have the <sys/un.h> header file. */
#undef HAVE_SYS_UN_H

/* Define to 1 if you have the <sys/user.h> header file. */
#undef HAVE_SYS_USER_H

/* Define to 1 if you have the <sys/utime.h> header file. */
#undef HAVE_SYS_UTIME_H

/* Define to 1 if you have the <sys/utsname.h> header file. */
#undef HAVE_SYS_UTSNAME_H

/* Define to 1 if you have the <sys/vfstab.h> header file. */
#undef HAVE_SYS_VFSTAB_H

/* Define to 1 if you have the <sys/wait.h> header file. */
#undef HAVE_SYS_WAIT_H

/* Define to 1 if you have the <sys/xattr.h> header file. */
#undef HAVE_SYS_XATTR_H

/* Have system zlib */
#undef HAVE_SYS_ZLIB

/* tcgetattr */
#undef HAVE_TCGETATTR

/* HAVE_TCP_FSM_H */
#undef HAVE_TCP_FSM_H

/* TCPSTATE enum in netinet/tcp.h */
#undef HAVE_TCP_H_TCPSTATE_ENUM

/* tcp/var.h */
#undef HAVE_TCP_VAR_H

/* TCSANOW */
#undef HAVE_TCSANOW

/* tcsetattr */
#undef HAVE_TCSETATTR

/* Define to 1 if you have the `telldir' function. */
#undef HAVE_TELLDIR

/* Define to 1 if you have the <termios.h> header file. */
#undef HAVE_TERMIOS_H

/* Define to 1 if you have the <term.h> header file. */
#undef HAVE_TERM_H

/* Have timezone variable */
#undef HAVE_TIMEZONE

/* TIOCGWINSZ */
#undef HAVE_TIOCGWINSZ

/* tls_model available */
#undef HAVE_TLS_MODEL_ATTR

/* Have tm_gmtoff */
#undef HAVE_TM_GMTOFF

/* Define to 1 if you have the `trunc' function. */
#undef HAVE_TRUNC

/* Define to 1 if you have the `ttyname_r' function. */
#undef HAVE_TTYNAME_R

/* Define to 1 if you have the <ucontext.h> header file. */
#undef HAVE_UCONTEXT_H

/* uname */
#undef HAVE_UNAME

/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H

/* Define to 1 if you have the <unwind.h> header file. */
#undef HAVE_UNWIND_H

/* Define to 1 if you have /usr/include/malloc.h. */
#undef HAVE_USR_INCLUDE_MALLOC_H

/* Define to 1 if you have the `utimensat' function. */
#undef HAVE_UTIMENSAT

/* Define to 1 if you have the <utime.h> header file. */
#undef HAVE_UTIME_H

/* Don't use UWP Windows API support */
#undef HAVE_UWP_WINAPI_SUPPORT

/* Define to 1 if you have the `vasprintf' function. */
#undef HAVE_VASPRINTF

/* Support for the visibility ("hidden") attribute */
#undef HAVE_VISIBILITY_HIDDEN

/* Define to 1 if you have the `vsnprintf' function. */
#undef HAVE_VSNPRINTF

/* Define to 1 if you have the `vsyslog' function. */
#undef HAVE_VSYSLOG

/* Define to 1 if you have the `waitpid' function. */
#undef HAVE_WAITPID

/* Define to 1 if you have the <wchar.h> header file. */
#undef HAVE_WCHAR_H

/* Define to 1 if you have the <winternl.h> header file. */
#undef HAVE_WINTERNL_H

/* Have a working sigaltstack */
#undef HAVE_WORKING_SIGALTSTACK

/* Define to 1 if you have the `writev' function. */
#undef HAVE_WRITEV

/* Have system zlib */
#undef HAVE_ZLIB

/* Define to 1 if you have the `_finite' function. */
#undef HAVE__FINITE

/* ... */
#undef HOST_AMD64

/* Targeting the Android platform */
#undef HOST_ANDROID

/* ... */
#undef HOST_ARM

/* ... */
#undef HOST_ARM64

/* Host Platform is Darwin */
#undef HOST_DARWIN

/* ... */
#undef HOST_MIPS

/* This platform does not support symlinks */
#undef HOST_NO_SYMLINKS

/* ... */
#undef HOST_POWERPC

/* ... */
#undef HOST_POWERPC64

/* ... */
#undef HOST_S390X

/* ... */
#undef HOST_SPARC

/* ... */
#undef HOST_SPARC64

/* Host wasm */
#undef HOST_WASM

/* Host Platform is Win32 */
#undef HOST_WIN32

/* ... */
#undef HOST_X86

/* inotify_rm_watch with unsigned wd */
#undef INOTIFY_RM_WATCH_WD_UNSIGNED

/* LLVM used is being build during mono build */
#undef INTERNAL_LLVM

/* Build LLVM with assertions */
#undef INTERNAL_LLVM_ASSERTS

/* struct ipv6_mreq with unsigned ipv6mr_interface */
#undef IPV6MR_INTERFACE_UNSIGNED

/* kevent with void *data */
#undef KEVENT_HAS_VOID_UDATA

/* kevent with int parameters */
#undef KEVENT_REQUIRES_INT_PARAMS

/* Enable lazy gc thread creation by the embedding host. */
#undef LAZY_GC_THREAD_CREATION

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#undef LT_OBJDIR

/* Define to 1 if `major', `minor', and `makedev' are declared in <mkdev.h>.
   */
#undef MAJOR_IN_MKDEV

/* Define to 1 if `major', `minor', and `makedev' are declared in
   <sysmacros.h>. */
#undef MAJOR_IN_SYSMACROS

/* The architecture this is running on */
#undef MONO_ARCHITECTURE

/* Enable the allocation and indexing of arrays greater than Int32.MaxValue */
#undef MONO_BIG_ARRAYS

/* Version of the corlib-runtime interface */
#undef MONO_CORLIB_VERSION

/* The runtime is compiled for cross-compiling mode */
#undef MONO_CROSS_COMPILE

/* Disable banned functions from being used by the runtime */
#undef MONO_INSIDE_RUNTIME

/* Make jemalloc assert for mono */
#undef MONO_JEMALLOC_ASSERT

/* Make jemalloc default for mono */
#undef MONO_JEMALLOC_DEFAULT

/* Enable jemalloc usage for mono */
#undef MONO_JEMALLOC_ENABLED

/* Have __thread keyword */
#undef MONO_KEYWORD_THREAD

/* The LLVM back end is dynamically loaded */
#undef MONO_LLVM_LOADED

/* AOT cross offsets file */
#undef MONO_OFFSETS_FILE

/* Do not include names of unmanaged functions in the crash dump */
#undef MONO_PRIVATE_CRASHES

/* Reduce runtime requirements (and capabilities) */
#undef MONO_SMALL_CONFIG

/* Xen-specific behaviour */
#undef MONO_XEN_OPT

/* Length of zero length arrays */
#undef MONO_ZERO_LEN_ARRAY

/* Name of /dev/random */
#undef NAME_DEV_RANDOM

/* Define if Unix sockets cannot be created in an anonymous namespace */
#undef NEED_LINK_UNLINK

/* Name of package */
#undef PACKAGE

/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT

/* Define to the full name of this package. */
#undef PACKAGE_NAME

/* Define to the full name and version of this package. */
#undef PACKAGE_STRING

/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME

/* Define to the home page for this package. */
#undef PACKAGE_URL

/* Define to the version of this package. */
#undef PACKAGE_VERSION

/* getpriority with int who */
#undef PRIORITY_REQUIRES_INT_WHO

/* pthread is a pointer */
#undef PTHREAD_POINTER_ID

/* The size of `int', as computed by sizeof. */
#undef SIZEOF_INT

/* The size of `long', as computed by sizeof. */
#undef SIZEOF_LONG

/* The size of `long long', as computed by sizeof. */
#undef SIZEOF_LONG_LONG

/* size of target machine integer registers */
#undef SIZEOF_REGISTER

/* The size of `size_t', as computed by sizeof. */
#undef SIZEOF_SIZE_T

/* The size of `void *', as computed by sizeof. */
#undef SIZEOF_VOID_P

/* Define to 1 if you have the ANSI C header files. */
#undef STDC_HEADERS

/* Define to 1 if strerror_r returns char *. */
#undef STRERROR_R_CHAR_P

/* ... */
#undef TARGET_AMD64

/* ... */
#undef TARGET_ANDROID

/* ... */
#undef TARGET_ARM

/* ... */
#undef TARGET_ARM64

/* byte order of target */
#undef TARGET_BYTE_ORDER

/* The JIT/AOT targets iOS */
#undef TARGET_IOS

/* The JIT/AOT targets Apple platforms */
#undef TARGET_MACH

/* ... */
#undef TARGET_MIPS

/* The JIT/AOT targets OSX */
#undef TARGET_OSX

/* ... */
#undef TARGET_POWERPC

/* ... */
#undef TARGET_POWERPC64

/* ... */
#undef TARGET_PS3

/* ... */
#undef TARGET_PS4

/* ... */
#undef TARGET_S390X

/* wordsize of target */
#undef TARGET_SIZEOF_VOID_P

/* ... */
#undef TARGET_SPARC

/* ... */
#undef TARGET_SPARC64

/* Target wasm */
#undef TARGET_WASM

/* The JIT/AOT targets WatchOS */
#undef TARGET_WATCHOS

/* Target Platform is Win32 */
#undef TARGET_WIN32

/* ... */
#undef TARGET_X86

/* ... */
#undef TARGET_XBOX360

/* ... */
#undef USE_GCC_ATOMIC_OPS

/* Use kqueue for the threadpool */
#undef USE_KQUEUE_FOR_THREADPOOL

/* ... */
#undef USE_MACH_SEMA

/* Use malloc for each single mempool allocation */
#undef USE_MALLOC_FOR_MEMPOOLS

/* Version number of package */
#undef VERSION

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
#  undef WORDS_BIGENDIAN
# endif
#endif

/* 64 bit mode with 4 byte longs and pointers */
#undef __mono_ilp32__

/* ... */
#undef __mono_ppc64__
